package cn.com.countrygarden.bi.main.dao.extension;

import cn.com.countrygarden.bi.main.dto.extension.ExtensionProjectLeaderDTO;
import cn.com.countrygarden.bi.main.dto.extension.ExtensionReportDTO;
import org.apache.ibatis.annotations.Param;

/**
 * @ClassName ExtensionProjectLeaderMapper
 * @Description  市场拓展 -> 外拓报表 -> 绑定数据 -> 项目负责人插入
 * @Author Sjiang
 * @Date 2019/1/18 15:55
 * @Version 1.0
 **/

public interface ExtensionProjectLeaderMapper {

    int deleteByPrimaryKey(Long id);

    int insert(ExtensionProjectLeaderDTO record);

    int insertBatchSelective(@Param("dto") ExtensionReportDTO dto, @Param("userCode") String userCode);

    ExtensionProjectLeaderDTO selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(ExtensionProjectLeaderDTO record);

    int updateByPrimaryKey(ExtensionProjectLeaderDTO record);

    void updateBatchSelective(@Param("dto") ExtensionReportDTO dto, @Param("userCode") String userCode);
}